## com.sun.jersey.spi.container
Interface ResourceMethodDispatchProvider

    public interface ResourceMethodDispatchProvider

Service-provider interface for creating `RequestDispatcher` instances.

An implementation (a service-provider) identifies itself by placing a provider-configuration file (if not already present), "com.sun.research.ws.rest.spi.invoker.ResourceMethodDispatchProvider" in the resource directory `META-INF/services`, and including the fully qualified service-provider-class of the implementation in the file.

A provider will examine the model of the Web resource method and determine if an invoker can be created for that Web resource method.

Multiple providers can specify the support for different Web resource method patterns, ranging from simple patterns (such as void return and input parameters) to complex patterns that take type URI and query arguments and HTTP request headers as typed parameters.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`RequestDispatcher` | `create(AbstractResourceMethod abstractResourceMethod)` Create a `RequestDispatcher` for a resource method of a resource.

Method Detail

### create

    RequestDispatcher create(AbstractResourceMethod abstractResourceMethod)

  Create a `RequestDispatcher` for a resource method of a resource.

  Parameters:
    `abstractResourceMethod` - the abstract resource method.
  Returns:
    the request dispatcher, otherwise null if it could not be created for the abstract resource method.

Copyright © 2017 Oracle Corporation. All Rights Reserved.